Get product variant prices across markets
GET https://{handle}.myshopline.com/admin/openapi/v20260901/markets/:variant_id/price.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get the product variant prices in the markets corresponding to specific countries or regions.
Path Parameters
- variant_id string requiredThe unique identifier for a variant.
Maximum length:64Example:18057039439794751459380282
Query Parameters
- country_codes string requiredA list of two-letter country or region codes that follow the ISO 3166-1 standard, used to identify a specific market's country or region, with multiple codes separated by commas. Supports a maximum of 10 codes.Example:
CN,US
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
market_pricesobject[]
A list of product variant prices.country_code stringA two-letter code following the ISO 3166-1 standard, used to identify the country or region of the market.Example:CNmarket_priceobject
The product variant price.amount stringThe selling price amount in the current market. The currency unit is the minor unit of the corresponding currency.Example:1099
API Explorer
Debugger
Examples
Was this article helpful to you?